Skip to navigation

🧪 List Resource Operations

Get a paginated list of resource operations.

Supports flexible filtering by date range, resource type, connection, source, fleet reference, operation type, and source ID. Use source_id together with resource to target a specific record in the TSP.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

resourceenum or nullOptional

Filter resource operations by resource type (e.g., vehicle, user, fuel_charge).

connection_idstring or nullOptionalformat: "uuid"
Filter resource operations by connection ID.
source_nameenum or nullOptional
Filter resource operations by source name.
fleet_refslist of strings or nullOptional

Filter resource operations by one or more fleet references. Maximum: 100 values. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).

operationenum or nullOptional

Filter resource operations by operation type (e.g., create, update).

Allowed values:
source_idstring or nullOptional

Filter resource operations by source ID in the TSP. Requires the resource parameter.

from_datetimedatetimeOptional

Return only records that occurred on or after this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at >= from_datetime Default value: now() - 1 day Restriction: to_datetime - from_datetime cannot exceed 45 days

to_datetimedatetimeOptional

Return only records that occurred before this date and time. Format: ISO 8601 (UTC) Applies filter: occurred_at < to_datetime Default value: now() Restriction: to_datetime - from_datetime cannot exceed 45 days

cursorstring or nullOptional
Cursor for the next page
sizeintegerOptional1-1000Defaults to 300
Page size

Response

Successful Response
itemslist of objects
current_pagestring or nullOptional
Cursor to refetch the current page
current_page_backwardsstring or nullOptional
Cursor to refetch the current page starting from the last item
previous_pagestring or nullOptional
Cursor for the previous page
next_pagestring or nullOptional
Cursor for the next page

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error